%define		module	mmpython
Summary:	Media Metadata for Python
Summary(pl.UTF-8):	Metadane multimedialne dla Pythona
Name:		python-%{module}
Version:	0.4.9
Release:	7
License:	LGPL
Group:		Libraries/Python
Source0:	http://dl.sourceforge.net/mmpython/%{module}-%{version}.tar.gz
# Source0-md5:	f95699c2f4249d21105d7977a15d5dcc
Patch0:		%{name}-intypes.patch
URL:		http://sourceforge.net/projects/mmpython/
BuildRequires:	libdvdread-devel
BuildRequires:	python-devel
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
%pyrequires_eq	python-modules
Requires:	python-PyXML
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MMPython is a Media Meta Data retrieval framework. It retrieves
metadata from MP3, Ogg, AVI, JPG, TIFF and other file formats. Among
others it thereby parses ID3v2, ID3v1, EXIF, IPTC and Vorbis data into
an object oriented struture.

%description -l pl.UTF-8
MMPython to szkielet do odczytywania metadanych z multimediów.
Odtwarza metadane z plików MP3, Ogg, AVI, JPG, TIFF i innych formatów.
Między innymi przetwarza dane ID3v2, TD3v1, EXIF, IPTC i Vorbis na
struktury zorientowane obiektowo.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT

%py_install \
	--install-platlib=%{py_sitescriptdir}

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{py_sitescriptdir}/%{module}
%changelog
* Fri Nov 01 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-mmpython.git;a=log;h=master

* Fri Nov 01 2019 Jan Rękorajski <baggins@pld-linux.org> 0bcff4f
- release 7 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 8fb054c
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> c597b46
- release 6 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> e4c8bd4
- automatic change: use py_build/py_install macros

* Fri Mar 20 2015 Elan Ruusamäe <glen@delfi.ee> 645a519
- x32 rebuild
- release 5 (by relup.sh)

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 265c559
- release 4

* Sat Nov 29 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 9e9e677
- release 3

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 6506f9e
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 8ea32b1
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 3ae5ad9
- converted to UTF-8

* Tue Jun 27 2006 Karol Krenski <charles@pld-linux.org> 6baf0cf
- fixed build

* Tue Jun 27 2006 Karol Krenski <charles@pld-linux.org> ecf2510
- added -intypes.patch (fixed build)
- R: python-PyXML

* Thu Nov 17 2005 Karol Krenski <charles@pld-linux.org> a7e2129
- updated to 0.4.9
- use %py_postclean macro, updated BRs

* Sat Apr 09 2005 Karol Krenski <charles@pld-linux.org> 82243a5
- updated to 0.4.8
- BR: python-modules

* Sat Mar 12 2005 Michal Chruszcz <mchruszcz@gmail.com> 6e972d8
- mass commit: remove obsolete BR: rpm-pythonprov

* Sat Dec 25 2004 radzio <radzio@pld-linux.org> 212881c
- don't install *py files
- mv *py[co] form %{py_sitedir} t0 %{py_sitescritpdir}

* Sat Dec 25 2004 saq <saq@pld-linux.org> 65367d3
- release 2 for rebuild with python 2.4

* Fri Dec 17 2004 darekr <darekr@pld-linux.org> b4dff14
- updated to 0.4.7

* Sun Oct 24 2004 paladine <paladine@pld-linux.org> 2e994ff
- spelling fixes, uppercases, etc.

* Mon Oct 04 2004 Artur Frysiak <artur@frysiak.net> 6d98400
- updated to 0.4.6

